JGraph X 1.4.0.9

## com.mxgraph.shape
Class mxRectangleShape

    java.lang.Object
      com.mxgraph.shape.mxBasicShape
          com.mxgraph.shape.mxRectangleShape

All Implemented Interfaces:
  mxIShape

Direct Known Subclasses:
  mxImageShape

    public class mxRectangleShape

extends mxBasicShape

Constructor Summary
`mxRectangleShape()`

Method Summary
`int` `getArcSize(int w, int h)` Computes the arc size for the given dimension.
`void` `paintShape(mxGraphics2DCanvas canvas, mxCellState state)`

Methods inherited from class com.mxgraph.shape.mxBasicShape
`configureGraphics, createShape, getFillColor, getStrokeColor, hasShadow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxRectangleShape

    public mxRectangleShape()

Method Detail

### paintShape

    public void paintShape(mxGraphics2DCanvas canvas,
                           mxCellState state)

  Specified by:
    `paintShape` in interface `mxIShape`
  Overrides:
    `paintShape` in class `mxBasicShape`

### getArcSize

    public int getArcSize(int w,
                          int h)

  Computes the arc size for the given dimension.

  Parameters:
    `w` - Width of the rectangle.
    `h` - Height of the rectangle.
  Returns:
    Returns the arc size for the given dimension.

JGraph X 1.4.0.9

Copyright (c) 2010 Gaudenz Alder. All rights reserved.